org.opencv.ximgproc

## Class EdgeAwareInterpolator

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.ximgproc.SparseMatchInterpolator
    - - org.opencv.ximgproc.EdgeAwareInterpolator

-     public class EdgeAwareInterpolator
      extends SparseMatchInterpolator

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `EdgeAwareInterpolator(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EdgeAwareInterpolator` | `__fromPtr__(long addr)`
    `protected void` | `finalize()`
    `float` | `getFGSLambda()`
    `float` | `getFGSSigma()`
    `int` | `getK()`
    `float` | `getLambda()`
    `float` | `getSigma()`
    `boolean` | `getUsePostProcessing()`
    `void` | `setFGSLambda(float _lambda)`
    `void` | `setFGSSigma(float _sigma)`
    `void` | `setK(int _k)`
    `void` | `setLambda(float _lambda)`
    `void` | `setSigma(float _sigma)`
    `void` | `setUsePostProcessing(boolean _use_post_proc)`

    - ### Methods inherited from class org.opencv.ximgproc.SparseMatchInterpolator

      `interpolate`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EdgeAwareInterpolator

          protected EdgeAwareInterpolator(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static EdgeAwareInterpolator __fromPtr__(long addr)

    - #### getUsePostProcessing

          public boolean getUsePostProcessing()

    - #### getFGSLambda

          public float getFGSLambda()

    - #### getFGSSigma

          public float getFGSSigma()

    - #### getLambda

          public float getLambda()

    - #### getSigma

          public float getSigma()

    - #### getK

          public int getK()

    - #### setFGSLambda

          public void setFGSLambda(float _lambda)

    - #### setFGSSigma

          public void setFGSSigma(float _sigma)

    - #### setK

          public void setK(int _k)

    - #### setLambda

          public void setLambda(float _lambda)

    - #### setSigma

          public void setSigma(float _sigma)

    - #### setUsePostProcessing

          public void setUsePostProcessing(boolean _use_post_proc)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `SparseMatchInterpolator`
      Throws:
        `java.lang.Throwable`

Generated on Fri Feb 23 2018 13:10:16 UTC / OpenCV 3.4.1